#include <iostream>

using namespace std;

int main(){
    int x;
    cin>> x;
    int a;
    for(int i = 1; i< x; i++)
        cin >> a;
    for(int j = 1; j < x; j++){
        cin >> a;
    }
    for(int k = 1; k < x; k++)
        cin >> a;
    cout<< "15";
    return 0;
}